<?PHP

$SQL = "SELECT * from THEMEMASTER WHERE THEMEID = '$_GET[theme]'"; $result = @mySQL_query( $SQL ); $row = @mySQL_fetch_array( $result );

//......................

$handle = opendir("$_SERVER[DOCUMENT_ROOT]/webifycore/themes/images/$_GET[theme]/files");
while (false !== ($entry = readdir($handle))) {
        if ($entry != ".htaccess" && $entry != ".." && $entry != ".")
                $array = "$entry~$array";
        }
        
closedir($handle);

$imgdir = "http://" . "$_SERVER[HTTP_HOST]" . "/webifycore/themes/images/$_GET[theme]/files";
$imgarray = $array;

$SQL = "SELECT * from THEMES WHERE THEMEID = '$_GET[theme]'"; $result = @mySQL_query( $SQL ); while( $row = @mySQL_fetch_array( $result ) ) {
        $classcss = urlencode($row[CLASSCSS]);
        $file = "http://www.webify.ws/themehq/receive.php" . "?insert=1&classname=$row[CLASSNAME]&themeid=$_GET[theme]&classcss=$classcss";
        $remote = file_get_contents($file);
}

//......................

$sql = "UPDATE THEMEMASTER SET IMAGEARRAY = '$imgarray' WHERE THEMEID = '$_GET[theme]'";
$query = @mysql_query($sql);

$SQL = "SELECT * from THEMEMASTER WHERE THEMEID = '$_GET[theme]'"; $result = @mySQL_query( $SQL ); $row = @mySQL_fetch_array( $result );

$row[THEME] = urlencode($row[THEME]);
$row[AUTHOR] = urlencode($row[AUTHOR]);
$row[DESCRIPTION] = urlencode($row[DESCRIPTION]);
$imgdir = urlencode($imgdir);
$imgarray = urlencode($imgarray);

$urlstring = "?themeid=$_GET[theme]&theme=$row[THEME]&author=$row[AUTHOR]&description=$row[DESCRIPTION]&imgdir=$imgdir&imgarray=$imgarray";

$file = "http://www.webify.ws/themehq/receive.php" . "$urlstring";
$remote = file_get_contents($file);

//......................
?>

<div class="primebox" style="width: 100%; ">

<h1><?PHP /* (LANGUAGE) */ $t = "Theme Submitted"; $f = "themesubmitted"; include "langinc.php"; /* (LANGUAGE) */ ?></h1>

<?PHP /* (LANGUAGE) */ $t = "Theme"; $f = "theme"; include "langinc.php"; /* (LANGUAGE) */ ?>: <b><?php echo $_GET[theme]; ?></b>

<br>

<br>

<?PHP /* (LANGUAGE) */ $t = "Your theme has been beamed to our online theme library. Thank you for sharing your work with the community! Your theme will become available for others to download once it has been approved by our staff."; $f = "themesubmitmessage"; include "langinc.php"; /* (LANGUAGE) */ ?>

</div>
